org.apache.thrift.protocol

## Class TType

- java.lang.Object
- - org.apache.thrift.protocol.TType

-     public final class TType
      extends java.lang.Object

  Type constants in the Thrift protocol.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `BOOL`
    `static byte` | `BYTE`
    `static byte` | `DOUBLE`
    `static byte` | `ENUM`
    `static byte` | `I16`
    `static byte` | `I32`
    `static byte` | `I64`
    `static byte` | `LIST`
    `static byte` | `MAP`
    `static byte` | `SET`
    `static byte` | `STOP`
    `static byte` | `STRING`
    `static byte` | `STRUCT`
    `static byte` | `VOID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STOP

          public static final byte STOP

      See Also:
        Constant Field Values

    - #### VOID

          public static final byte VOID

      See Also:
        Constant Field Values

    - #### BOOL

          public static final byte BOOL

      See Also:
        Constant Field Values

    - #### BYTE

          public static final byte BYTE

      See Also:
        Constant Field Values

    - #### DOUBLE

          public static final byte DOUBLE

      See Also:
        Constant Field Values

    - #### I16

          public static final byte I16

      See Also:
        Constant Field Values

    - #### I32

          public static final byte I32

      See Also:
        Constant Field Values

    - #### I64

          public static final byte I64

      See Also:
        Constant Field Values

    - #### STRING

          public static final byte STRING

      See Also:
        Constant Field Values

    - #### STRUCT

          public static final byte STRUCT

      See Also:
        Constant Field Values

    - #### MAP

          public static final byte MAP

      See Also:
        Constant Field Values

    - #### SET

          public static final byte SET

      See Also:
        Constant Field Values

    - #### LIST

          public static final byte LIST

      See Also:
        Constant Field Values

    - #### ENUM

          public static final byte ENUM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TType

          public TType()